View traffic profile

Prev Next

Available in Classic and VPC

Create a traffic profile (domain) according to the specified conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /gtm/v1/domains

Request headers

For information about the headers common to all Traffic profile APIs, see Traffic profile API request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
page Integer Optional Page number of the paged results
  • 0 (default)
size Integer Optional Number of results to display on a page
  • 20 (default)
name String Optional Profile name

Request example

The following is a sample request.

curl --location --request GET 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/domains?page=0&size=1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See ProfileListResponse for the response body.

Response status codes

For information about the HTTP status codes common to all Traffic profile APIs, see Traffic profile API response status codes.

Response example

The following is a sample response.

{
    "content": [
        {
            "sid": 14***,
            "name": "profile.ncloudgtm.com",
            "delYn": false,
            "policyId": ****,
            "policyName": "policy",
            "lbType": "ROUND_ROBIN",
            "status": "SUCCESS"
        }
    ],
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": false,
            "empty": false
        },
        "pageNumber": 0,
        "pageSize": 1,
        "offset": 0,
        "paged": true,
        "unpaged": false
    },
    "last": true,
    "totalPages": 1,
    "totalElements": 1,
    "sort": {
        "sorted": true,
        "unsorted": false,
        "empty": false
    },
    "first": true,
    "number": 0,
    "numberOfElements": 1,
    "size": 1,
    "empty": false
}